Skip to main content

Get system inference models

GET 

/system/inferenceModels

Returns the system inference models

Responses

200 OK

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    inferenceModels

    object[]

    List of system inference models

  • Array [

  • name string
    Example: Amazon Nova 2 Lite
    defaultModelId string
    Example: amazon.nova-2-lite-v1:0
    modelLifecycleStatus stringnullable

    Bedrock foundation model lifecycle status. ACTIVE means the model version is available; LEGACY means the model version is deprecated.

    agreementAvailability string
    Example: AVAILABLE
    authorizationStatus string
    Example: AUTHORIZED
    entitlementAvailability string
    Example: AVAILABLE
    regionAvailability string
    Example: AVAILABLE

    modelInvocations

    object[]

  • Array [

  • modelId stringrequired
    Example: amazon.nova-2-lite-v1:0
    invocationType stringrequired
    Example: DIRECT
    inferenceProfileType string
    Example: GEO
    geo string
    Example: US
  • ]

  • ]

Loading...